using LOoSE_sLOTS.objects;
using LOoSE_sLOTS.UI;
using LOoSE_sLOTS.Utilities;
using Otter;
using System;

namespace LOoSE_sLOTS.entities
{
    class DeadSlotMachine : Entity
    {
        private Spritemap<string> _spriteMap;
        public int Health = 1;
        public bool IsDead = true;

        public DeadSlotMachine(float x, float y, Color color, int layer)
        {
            X = x; Y = y;
            X = x; Y = y;
            _spriteMap = new Spritemap<string>(Assets.SLOTMACHINE, 50, 50);
            _spriteMap.Add("dead", new int[] { 5 }, new float[] { 7f, 7f });
            _spriteMap.Add("on", new int[] { 0, 1 }, new float[] { 7f, 7f });
            _spriteMap.Add("dying", new int[] { 2, 3, 4 }, new float[] { 3f, 3f });
            _spriteMap.Play("dead");
            _spriteMap.Color = color;
            _spriteMap.CenterOrigin();
            Graphic = _spriteMap;
            Layer = layer;
            //Layer = 0;//? will this work? it does because all the PUnicorns are always added AFTER my player. If they are 0 layer, they will be behind me.
            //angleInRadians = GetAngle(Rand.Float(0f, 359f));
        }

        public override void Update()
        {
            base.Update();
        }//end update


        public void Destroy()
        {
            RemoveSelf();
        }

        public override void Render()
        {
            base.Render();
            //Collider.Render(Color.Blue);
            //detectionBox.Render(Color.Orange);
        }
    }
}


